org.python.modules._threading

## Class _threading

- java.lang.Object
- - org.python.modules._threading._threading

All Implemented Interfaces:
  ClassDictInit

    public class _threading
    extends java.lang.Object
    implements ClassDictInit

### Field Summary

Fields
`static java.util.Map<java.lang.Long,PyObject>` `_active`
`static java.util.Map<java.lang.Thread,PyObject>` `_jthread_to_pythread`
`static java.util.Map<java.lang.Long,PyObject>` `_threads`

### Constructor Summary

Constructors
Constructor and Description
`_threading()`

### Method Summary

Methods
`static void` `_register_thread(java.lang.Thread jthread, PyObject pythread)`
`static void` `_unregister_thread(java.lang.Thread jthread)`
`static void` `classDictInit(PyObject dict)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _threads

    public static java.util.Map<java.lang.Long,PyObject> _threads

#### _jthread_to_pythread

    public static java.util.Map<java.lang.Thread,PyObject> _jthread_to_pythread

#### _active

    public static java.util.Map<java.lang.Long,PyObject> _active

### Constructor Detail

#### _threading

    public _threading()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### _register_thread

    public static void _register_thread(java.lang.Thread jthread,
                        PyObject pythread)

#### _unregister_thread

    public static void _unregister_thread(java.lang.Thread jthread)